com.r3corda.node.services.network / NodeMapError

# NodeMapError

`sealed class NodeMapError : Exception`

### Exceptions

InvalidSignature | `class InvalidSignature : NodeMapError` Thrown if the signature on the node info does not match the public key for the identity
InvalidSubscriber | `class InvalidSubscriber : NodeMapError` Thrown if the replyTo of a subscription change message is not a single message recipient
UnknownChangeType | `class UnknownChangeType : NodeMapError` Thrown if a change arrives which is of an unknown type

### Inheritors

InvalidSignature | `class InvalidSignature : NodeMapError` Thrown if the signature on the node info does not match the public key for the identity
InvalidSubscriber | `class InvalidSubscriber : NodeMapError` Thrown if the replyTo of a subscription change message is not a single message recipient
UnknownChangeType | `class UnknownChangeType : NodeMapError` Thrown if a change arrives which is of an unknown type